name: view_orders
description: Client View Orders feature package
publish_to: 'none'
version: 0.0.1
resolution: workspace

environment:
  sdk: '>=3.10.0 <4.0.0'

dependencies:
  flutter:
    sdk: flutter
  
  # Architecture
  flutter_modular: ^6.3.2
  flutter_bloc: ^8.1.3
  equatable: ^2.0.5
  
  # Shared packages
  design_system:
    path: ../../../design_system
  core_localization:
    path: ../../../core_localization
  krow_domain:
    path: ../../../domain
  krow_core:
    path: ../../../core
  krow_data_connect:
    path: ../../../data_connect
  # UI
  intl: ^0.20.1
  url_launcher: ^6.3.1
  firebase_data_connect: ^0.2.2+2
  firebase_auth: ^6.1.4

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^6.0.0
  bloc_test: ^9.1.5
  mocktail: ^1.0.1

flutter:
  uses-material-design: true
